Subject: Re: [Ieprep] draft-ietf-ieprep-sip-reqs-00.txt

From: Henning Schulzrinne <[email-masked]>
Date: Tue, 01 Oct 2002 16:09:47 -0400

[email-masked] wrote:
> Comments on draft-ietf-ieprep-sip-reqs-00:
> 
> 2. Instead of CN for the abbreviation, I would suggest SCN (Switched 
> Circuit Network).

Well, Kimberly used CSN. From a quick Google search, both terms seem to 
be in use. I don't much care either way...

> 4. End of section again refers to four resources (gateway, CN, IP 
> network resources, and receiver). The text in Section 3 also defined SIP 
> proxy resources.
> 

I added proxy with (x).

> The meaning of the (x) in the table is not clear. For example, although 
> it says that (x) means the resource is in the CN, the first row in the 
> table which is the IP-only case has an (x).

The "as the ..." part is too narrow; I just dropped it.

> 
> REQ-1 implies that the U.S. defense network priority scheme is different 
> than Q.735. It is identical. NATO requirements (also five levels) are 
> also the same.

Reworded as

  Q.735, also implemented by the U.S.  defense network and
NATO, has five levels

> The British Government Telephone Preference Scheme (GTPS) is 
> fundamentally different. It does not control call setup beyond simply 
> determining who gets dial tone.
> 
> I suggest this requirement should read:
> 

Changed.

> 
> REQ-12 Need to make it clear that the "existing schemes" refers to the 
> PSTN and the "future schemes" refers to the plan for IP.

Noted.

> 
> 7. The statement that priority mechanisms can be categorized by priority 
> queue or preemption is a little restrictive. There are other mechanisms 
> which don't fit in either of these two, such as alternate routing and 
> exemption from traffic controls. Most of these additional ones could be 
> categorized as making additional resources available to the priority 
> calls. I would suggest something like:

Added/reworded.

> SEC-9 (Confidentiality) should be separated somewhat from ETS. While it 
> is true that many emergency calls would want confidentiality, many 
> regular calls also do. Further, the lack of confidentiality would not be 
> a reason for not allowing an ETS call to go through, as implied by the 
> statement "must be protected".
> Since "intercept" is often understood to refer to "lawful intercept", 
> this statement about "protected from intercept" should be changed to 
> read "unlawful intercept".

Reworded must to should. Noted that callers may be willing to sacrifice 
confidentiality to get a call through.

> 
> SEC-10 Same comment as for SEC-9.

Thanks for your comments.

_______________________________________________
Ieprep mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ieprep